<template lang="">
    <div class="main">

        <ErrorPage :error_message="errors"/>


        <br>
        <input type="text" v-model="zip_name" placeholder="Enter Zip Folder Name"><br>
        <!-- <input class="custom-file-input" type="file" multiple><br> -->

        <div class="form-control-file">
            <br>
            <div id="choosefile">
            <label  for="inpfiles" class="">Select Zip or Images</label><br><br>
            <input id="inpfiles" ref="fileupload" type="file" v-on:change="file_data"  multiple placeholder="Select" hidden>
           
            <br>
            <small id="emailHelp" class="form-text text-muted">You can select multiple Images or one zip</small>
         </div>
        </div>

        <loading v-model:active="isLoading"
                 :can-cancel="true"
                 :is-full-page="fullPage"/>
     

        <br><br>
        <div class="form-group">
        <label>Convert From:</label>
        <select name="takenfrom" v-model="convert_from">Convert To
        <option value="jpeg">JPEG</option>
        <option value="png">PNG</option>
        <option value="heic">HEIC</option>
        </select>

        <br><br>
        <label>Convert To:</label>
        <select name="format" v-model="convert_to">Convert To
        <option value="jpeg">JPEG</option>
        <option value="png">PNG</option>
        <option value="heic">HEIC</option>
        </select>
        </div><br><br>
        <button v-on:click="postMethod()" class="btn btn-info">Submit</button>

    </div>
</template>
<script>


import axios from 'axios'
import ErrorPage from './error.vue'
import Loading from 'vue-loading-overlay';
import 'vue-loading-overlay/dist/css/index.css';

export default {
    components:{
        'ErrorPage':ErrorPage,
        Loading,
    },
    name:'LtoL',
    data(){
        return {
            files:[],
            convert_to:null,
            convert_from:null,
            send_data:[],
            zip_name:null,
            errors:[],
            file_name:[],
            isLoading:false,
            fullPage:true,
            new_data:[],
            name_file: [],

            nonos:null,
            realtime:null,
        }
    },
    methods: {

        
        validation_data(){
            this.errors = []
            if(this.files.length == 0){
                this.errors.push('File Required')
            }
            if(!this.convert_to){
                this.errors.push("Convert To Require")
            }
            if(!this.convert_from){
                this.errors.push("Convert From Require")
            }
            if(!this.zip_name){
                this.errors.push("Zip Folder Name Require")
            }
            if(this.files.length > 0 && this.convert_to && this.convert_from && this.zip_name){
                return true
            }   

            return false

        },

        postMethod(){

            if(this.validation_data() == false){
                return false
            }else{

            this.isLoading=true

        
            const formData = new FormData();

            for(let i=0; i<this.files.length; i++){
                console.log(this.files[i])
                formData.append("file",this.files[i])
            }

            formData.append("convert_to",this.convert_to)
            formData.append("convert_from",this.convert_from)



            this.send_data.push({
                'files':this.files[0],
                'convert_to':this.convert_to,
                'convert_from':this.convert_from,
                
            })

            axios.post("https://image-convertor-backend.herokuapp.com/localtolocal_api/",formData,{responseType: 'blob'}).then((response)=>{
                
                const url = window.URL.createObjectURL(new Blob([response.data]));
                const link = document.createElement('a');
                link.href = url;
                link.setAttribute('download', this.zip_name+'.zip');
                document.body.appendChild(link);
                link.click()
                this.$refs.fileupload.value=null; 
                this.convert_to = null
                this.convert_from = null
                this.zip_name = null
                this.isLoading=false

            }).catch((e)=>{
                console.log(e)
            })

        }

        },
        file_data(event){
            this.files = event.target.files
        }
    },
}
</script>
<style>
.custom-file-input::-webkit-file-upload-button {
  visibility: hidden;
}
.custom-file-input::before {
  content: 'Select some files';
  display: inline-block;
  background: linear-gradient(top, #f9f9f9, #e3e3e3);
  border: 1px solid #999;
  border-radius: 3px;
  padding: 5px 8px;
  outline: none;
  white-space: nowrap;
  cursor: pointer;
  text-shadow: 1px 1px #fff;
  font-weight: 700;
  font-size: 10pt;
}
.custom-file-input:hover::before {
  border-color: black;
}
.custom-file-input:active::before {
  background: -webkit-linear-gradient(top, #e3e3e3, #f9f9f9);
}

 #choosefile label {
  background-color: indigo;
  color: white;
  padding: 0.5rem;
  font-family: sans-serif;
  border-radius: 0.3rem;
  cursor: pointer;
  margin-top: 1rem;
}
    
</style>